GPU Blacklist Queries(3)

NAME
GPU Blacklist Queries -

  Data Structures

struct nvmlBlacklistDeviceInfo_t

  Functions

nvmlReturn_t DECLDIR nvmlGetBlacklistDeviceCount (unsigned int *deviceCount)
nvmlReturn_t DECLDIR nvmlGetBlacklistDeviceInfoByIndex (unsigned int index, nvmlBlacklistDeviceInfo_t *info)

Detailed Description

This chapter describes NVML operations that are associated with blacklisted GPUs.

Function Documentation

  nvmlReturn_t DECLDIR nvmlGetBlacklistDeviceCount (unsigned int * deviceCount)

Retrieves the number of blacklisted GPU devices in the system.

For all products.

Parameters:
    deviceCount Reference in which to return the number of blacklisted devices

Returns:

    •   NVML_SUCCESS if deviceCount has been set

    •   NVML_ERROR_INVALID_ARGUMENT if deviceCount is NULL

  nvmlReturn_t DECLDIR nvmlGetBlacklistDeviceInfoByIndex (unsigned int index, nvmlBlacklistDeviceInfo_t * info)

Acquire the device information for a blacklisted device, based on its index.

For all products.

Valid indices are derived from the deviceCount returned by nvmlGetBlacklistDeviceCount(). For example, if deviceCount is 2 the valid indices are 0 and 1, corresponding to GPU 0 and GPU 1.

Parameters:
    index The index of the target GPU, >= 0 and < deviceCount
    info Reference in which to return the device information

Returns:

    •   NVML_SUCCESS if device has been set

    •   NVML_ERROR_INVALID_ARGUMENT if index is invalid or info is NULL

See also:
    nvmlGetBlacklistDeviceCount

Author

Generated automatically by Doxygen for NVML from the source code.